## tevent 0.9.39

=== debian/changelog ===
tevent (0.9.39-0ubuntu1) disco; urgency=medium

  * New upstream version: 0.9.39 (LP: #1818523):
    - d/control: require talloc >= 2.1.16
    - d/rules: really clean all the temporary files
    - d/libtevent0.symbols: updated symbols
  * d/control, d/rules: disable python via ./configure, instead of building
    and deleting it. This also reduces build-deps. We still need
    python3, though, because it's used by the tevent buildsystem (waf)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 08 Mar 2019 14:25:14 +0000
