=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: tevent
 Section: devel
 Priority: optional
-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>, Mathieu Parent <sathieu@debian.org>
 Build-Depends: debhelper (>= 11),
                libaio-dev [linux-any],
-               libtalloc-dev (>= 2.1.13~),
+               libtalloc-dev (>= 2.1.16~),
                pkg-config,
-               python,
-               python-all-dev (>= 2.6.6-3),
-               python-talloc-dev (>= 2.1.13~)
+               python3
 Rules-Requires-Root: no
 Standards-Version: 4.2.1
 Homepage: https://tevent.samba.org/
