=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 override_dh_auto_configure:
 	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --bundled-libraries=NONE \
-		   --disable-rpath --disable-rpath-install \
+		   --disable-rpath --disable-rpath-install --disable-python \
 		   --minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
 		   --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
@@ -31,9 +31,7 @@
 
 override_dh_auto_clean:
 	-./buildtools/bin/waf clean
-	rm -f buildtools/wafsamba/*.pyc \
-		third_party/waf/wafadmin/*.pyc \
-		third_party/waf/wafadmin/Tools/*.pyc
+	find . -name __pycache__ -o -name "*.pyc" -exec rm -rf {} \;
 	rm -rf bin
 	rm -f .lock-wscript libtevent.a
 
@@ -41,8 +39,6 @@
 	$(MAKE) install DESTDIR=$(DESTDIR)
 	ar cr libtevent.a bin/default/*.o
 	cp libtevent.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
-	# No python for now
-	rm -f $(DESTDIR)/usr/lib/python*/*-packages/_tevent.so
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
