=== debian/changelog ===
tevent (0.10.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.
  * Rely on pre-initialized dpkg-architecture variables.

 -- Mathieu Parent <sathieu@debian.org>  Sun, 17 Nov 2019 14:36:24 +0100

tevent (0.10.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Sat, 14 Sep 2019 09:55:27 +0200

tevent (0.10.1-2) experimental; urgency=medium

  [ Helmut Grohne ]
  * Improve cross building. (Closes: #939618)
    + Annotate the python3 Build-Depends with :any.
    + Export CC and PKGCONFIG for waf.
    + cross.patch: don't run an unnecessary hello world test
    + cross.patch: use compile-only checks for sizeof validation

 -- Mathieu Parent <sathieu@debian.org>  Sat, 14 Sep 2019 08:35:29 +0200

tevent (0.10.1-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 0.10.1
    - d/watch Unpin to tevent 0.9.x
    - Bump build-depend on talloc to 2.3.0
    - Build-Depends: python3-distutils even with --disable-python
    - Disable python tests
    - Update symbols (no change)

 -- Mathieu Parent <sathieu@debian.org>  Fri, 13 Sep 2019 19:56:21 +0200

tevent (0.9.39-2) unstable; urgency=medium

  * Upload to unstable
  * Bump debhelper from old 11 to 12.
  * Standards-Version: 4.4.0
  * d/copyright:
    - s/GPL-3+/GPL-3.0+/ and s/LGPL-3+/LGPL-3.0+/
    - Move License details to end of file
    - Add waf licences
    - Add lib/replace licences
    - Add lib/talloc/* licenses

 -- Mathieu Parent <sathieu@debian.org>  Thu, 29 Aug 2019 14:43:48 +0200

tevent (0.9.39-1) experimental; urgency=medium

  [ Mathieu Parent ]
  * Lintian:
    - Fix public-upstream-key-not-minimal
    - Add Build-Depends-Package field in d/*.symbols
    - Standards-Version: 4.3.0
  * Add Debian pipeline (debian/salsa-ci.yml)
  * d/watch: Pin to tevent 0.9.x for now as 0.10.x drop --extra-python support
  * New upstream version 0.9.39

  [ Andreas Hasenack ]
  * d/rules: really clean all the temporary files
  * d/libtevent0.symbols: updated symbols
  * d/control, d/rules: disable python via ./configure, instead of building and
    deleting it. This also reduces build-deps.
  * d/control: build depend on python3, not python
  * d/control: require talloc >= 2.1.16

 -- Mathieu Parent <sathieu@debian.org>  Fri, 23 Aug 2019 00:01:29 +0200
