=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: tevent
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>, Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libaio-dev [linux-any],
-               libtalloc-dev (>= 2.1.16~),
+               libtalloc-dev (>= 2.3.0~),
                pkg-config,
-               python3
+               python3:any,
+               python3-distutils
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://tevent.samba.org/
 Vcs-Browser: https://salsa.debian.org/samba-team/tevent
 Vcs-Git: https://salsa.debian.org/samba-team/tevent.git
