=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+
+# Export CC and PKGCONFIG for waf
+-include /usr/share/dpkg/buildtools.mk
+export CC
+PKG_CONFIG ?= pkg-config
+export PKGCONFIG=${PKG_CONFIG}
 
 CFLAGS = -g -Wall
 
@@ -12,7 +18,7 @@
 
 DESTDIR=$(CURDIR)/debian/tmp
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 %:
 	dh $*
@@ -31,7 +37,13 @@
 
 override_dh_auto_clean:
 	-./buildtools/bin/waf clean
-	find . -name __pycache__ -o -name "*.pyc" -exec rm -rf {} \;
+	rm -rf buildtools/wafsamba/*.pyc \
+		buildtools/wafsamba/__pycache__ \
+		third_party/waf/wafadmin/*.pyc \
+		third_party/waf/wafadmin/Tools/*.pyc \
+		third_party/waf/waflib/Tools/__pycache__ \
+		third_party/waf/waflib/__pycache__ \
+		third_party/waf/waflib/extras/__pycache__
 	rm -rf bin
 	rm -f .lock-wscript libtevent.a
