## tevent 0.10.2

=== debian/changelog ===
tevent (0.10.2-1A~5.0.0.202011022206) ucs5-0-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 02 Nov 2020 22:06:07 +0100

tevent (0.10.2-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Tue, 20 Oct 2020 14:14:42 +0200

tevent (0.9.39-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Thu, 21 Mar 2019 12:15:28 +0100

tevent (0.9.38-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Mon, 11 Feb 2019 16:21:51 +0100

tevent (0.9.36-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Wed, 01 Aug 2018 20:00:26 +0200
