=== debian/rules ===
--- 
+++ 
@@ -18,14 +18,17 @@
 
 DESTDIR=$(CURDIR)/debian/tmp
 
-include /usr/share/dpkg/architecture.mk
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $*
+	dh $@ --with python3
 
+override_dh_auto_test:
+	:
+ 
 override_dh_auto_configure:
-	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --bundled-libraries=NONE \
-		   --disable-rpath --disable-rpath-install --disable-python \
+	LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --bundled-libraries=NONE \
+		   --disable-rpath --disable-rpath-install \
 		   --minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
 		   --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
