=== debian/changelog ===
tevent (0.11.0-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:52:21 +0100

tevent (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
    - Update 0001-Disable-python-tests.patch
    - Bump build-depend on talloc to 2.3.2
    - Add Build-Depends: libcmocka-dev (>= 1.1.3)
    - Update symbols
  * Update watch file format version to 4
  * d/copyright: Fix duplicate-globbing-patterns
  * Standards-Version: 4.5.1

 -- Mathieu Parent <sathieu@debian.org>  Tue, 14 Dec 2021 09:43:24 +0100
