=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: tevent
 Section: devel
 Priority: optional
-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
-Uploaders: Jelmer Vernooĳ <jelmer@debian.org>, Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 11),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Uploaders: Jelmer Vernooij <jelmer@debian.org>, Mathieu Parent <sathieu@debian.org>
+Build-Depends: debhelper-compat (= 12),
                libaio-dev [linux-any],
-               libtalloc-dev (>= 2.3.1~),
+               libcmocka-dev (>= 1.1.3),
+               libtalloc-dev (>= 2.3.2~),
                pkg-config,
                python3:any,
-               python3-distutils,
-               python3-dev,
-               python3-talloc-dev (>= 2.3.1~)
+               python3-distutils
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://tevent.samba.org/
 Vcs-Browser: https://salsa.debian.org/samba-team/tevent
 Vcs-Git: https://salsa.debian.org/samba-team/tevent.git
@@ -50,19 +50,3 @@
  data provided by users of the library.
  .
  This package provides the development files.
-
-Package: python3-tevent
-Pre-Depends: ${misc:Pre-Depends}
-Architecture: any
-Section: python
-Provides: ${python3:Provides}
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
-Description: talloc-based event loop library - development files
- tevent is a simple library that can handle the main event loop for an
- application. It supports three kinds of events: timed events, file
- descriptors becoming readable or writable and signals.
- .
- Talloc is used for memory management, both internally and for private
- data provided by users of the library.
- .
- This package contains the Python3 bindings.
