=== debian/rules ===
--- 
+++ 
@@ -18,17 +18,14 @@
 
 DESTDIR=$(CURDIR)/debian/tmp
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@ --with python3
+	dh $@
 
-override_dh_auto_test:
-	:
- 
 override_dh_auto_configure:
-	LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --bundled-libraries=NONE \
-		   --disable-rpath --disable-rpath-install \
+	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --bundled-libraries=NONE \
+		   --disable-rpath --disable-rpath-install --disable-python \
 		   --minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
 		   --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
