## tevent 0.12.0

=== debian/changelog ===
tevent (0.12.0-1) unstable; urgency=medium

  * New upstream version
  * libtevent0.symbols: new symbols:
    tevent_get_trace_queue_callback
    tevent_queue_entry_get_tag
    tevent_queue_entry_set_tag
    tevent_set_trace_queue_callback
    tevent_trace_queue_callback
  * add myself to Uploaders.
  * many packaging tweaks and cleanups:
    - use buildflags.mk instead of our own CFLAGS
    - enable hardening=+all
    - use DEB_CFLAGS_MAINT_APPEND = -g -Wall
    - set SHELL=/bin/sh -e
    - reorder rules for readability
    - reformat configure flags for readability
    - set configure environment vars in one place
    - use bin/config-stamp dep in configure & build
      to stop running configure on every (re)build
    - remove override_dh_makeshlibs
      (export DPKG_GENSYMBOLS_CHECK_LEVEL instead)
    - simplify clean target
    - explicit override_dh_auto_test
    - fix salsa-ci test failure with closed fd#0
    - switch to using waf directly (& parallel)
    - stop using --minimum-library-version=
      in configure line (not very useful)
    - bump dh-compat to 13
    - explicitly list targets which goes to dh
    - adopt significantly faster version of
      /usr/share/dpkg/architecture.mk to set all vars in 1 go

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 02 May 2022 21:56:00 +0300
