=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: tevent
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
-Uploaders: Jelmer Vernooij <jelmer@debian.org>, Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Uploaders:
+	Jelmer Vernooij <jelmer@debian.org>,
+	Mathieu Parent <sathieu@debian.org>,
+	Michael Tokarev <mjt@tls.msk.ru>
+Build-Depends: debhelper-compat (= 13),
                libaio-dev [linux-any],
                libcmocka-dev (>= 1.1.3),
                libtalloc-dev (>= 2.3.2~),
@@ -12,7 +14,7 @@
                python3:any,
                python3-distutils
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://tevent.samba.org/
 Vcs-Browser: https://salsa.debian.org/samba-team/tevent
 Vcs-Git: https://salsa.debian.org/samba-team/tevent.git
