## tevent 0.13.0

=== debian/changelog ===
tevent (0.13.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports (no changes).

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 03 Nov 2022 08:09:44 +0300

tevent (0.13.0-2) unstable; urgency=medium

  * d/rules: inline parallel check from dpkg/buildopts.mk
  * use CFLAGS/LDFLAGS when running configure the same way
    as in other samba packages
  * d/rules: make it more like other samba d/rules files (minor changes)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 30 Oct 2022 11:50:07 +0300

tevent (0.13.0-1) unstable; urgency=medium

  * new upstream release (0.13.0)
  * d/libtevent0.symbols: add new version
  * d/control: build-depend on libtalloc >= 2.3.4

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 05 Sep 2022 12:54:26 +0300
