=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper-compat (= 13),
                libaio-dev [linux-any],
                libcmocka-dev (>= 1.1.3),
-               libtalloc-dev (>= 2.3.2~),
+               libtalloc-dev (>= 2.3.4~),
                pkg-config,
                python3:any,
                python3-distutils
