=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,13 @@
 ifeq (${DEB_HOST_MULTIARCH},)
    $(foreach d, $(shell dpkg-architecture | sed 's/=/?=/'), $(eval export $d))
 endif
-include /usr/share/dpkg/buildtools.mk
 include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/buildopts.mk
 V = 1
 WAF = PYTHONHASHSEED=1 ./buildtools/bin/waf \
-        $(if ${DEB_BUILD_OPTION_PARALLEL},-j${DEB_BUILD_OPTION_PARALLEL})
+	$(if $(filter parallel=%,${DEB_BUILD_OPTIONS}),\
+	  $(patsubst parallel=%,-j%,$(filter parallel=%,${DEB_BUILD_OPTIONS})))
 
-DESTDIR=$(CURDIR)/debian/tmp
+DESTDIR = ${CURDIR}/debian/tmp
 
 build-arch build-indep build \
 install-indep install-arch install \
@@ -26,23 +25,22 @@
 
 override_dh_auto_configure: bin/config-stamp
 bin/config-stamp:
-	CC="${CC}" CFLAGS="${CFLAGS}" CPPFLAGS="${CPPFLAGS}" \
-	  PKGCONFIG="${PKG_CONFIG}" \
-	    ${WAF} -j1 configure -C \
+	CPPFLAGS="${CPPFLAGS}" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" \
+	    ${WAF} -j1 -C configure \
 		--prefix=/usr \
 		--libdir=/usr/lib/${DEB_HOST_MULTIARCH} \
 		--disable-rpath --disable-rpath-install \
+		--bundled-libraries=NONE \
 		--disable-python \
-		--bundled-libraries=NONE \
-
-	touch $@
+	    && touch $@
 
 override_dh_auto_build: bin/config-stamp
 	${WAF} build $(if $V,-v)
+	# Waf should be doing this..
 	ar cr bin/libtevent.a bin/default/*.o
 
 override_dh_auto_test:
-ifeq (,$(findstring nocheck,${DEB_BUILD_OPTIONS}))
+ifeq (,$(filter nocheck,${DEB_BUILD_OPTIONS}))
 # for some weird reason, salsa-ci run build with fd#0 *closed*(!) and the test fail
 	${WAF} test </dev/null
 endif
